Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class Utils

`java.lang.Object
oracle.jbo.html.jsp.datatags.Utils`

public final class Utils
extends java.lang.Object

Constructor Summary
`Utils()`

Method Summary
`static java.lang.String` | `buildReleaseModeKey(SessionCookie cookie)`
`static java.lang.String` | `buildUrl(java.lang.String url, java.lang.String[] names, java.lang.String[] values)`
`static DataSource` | `createDataSource(javax.servlet.jsp.PageContext pageCtx, java.lang.String amId, java.lang.String voName, java.lang.String rsName, java.lang.String id, boolean createRowset)`
`static javax.servlet.jsp.tagext.Tag` | `findAncestorWithClassForDataSource(javax.servlet.jsp.tagext.Tag from, java.lang.String dataSourceName, java.lang.Class klass)`
`static ApplicationModuleRef` | `getAMRefFromContext(javax.servlet.jsp.PageContext pageCtx, java.lang.String amId)`
`static java.lang.Object` | `getAttributeFromContext(javax.servlet.jsp.PageContext pageCtx, java.lang.String id)` Return attribute value by only looking at PAGE and REQUEST scope
`static DataSource` | `getDataSourceFromAncestor(javax.servlet.jsp.tagext.Tag from)`
`static DataSource` | `getDataSourceFromContext(javax.servlet.jsp.PageContext pageCtx, java.lang.String dsName)`
`static Row` | `getRowFromAncestor(javax.servlet.jsp.tagext.Tag from, java.lang.String dataSourceName)`
`static boolean` | `isFalse(java.lang.String param)`
`static boolean` | `isTrue(java.lang.String param)`
`static boolean` | `isValidJavaVariable(java.lang.String name)`
`static void` | `releaseApplicationModule(javax.servlet.ServletContext servletContext, javax.servlet.http.HttpServletResponse response, SessionCookie cookie, java.lang.String releaseMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### buildUrl

    public static java.lang.String buildUrl(java.lang.String url,
                                            java.lang.String[] names,
                                            java.lang.String[] values)

### isTrue

    public static boolean isTrue(java.lang.String param)

### isFalse

    public static boolean isFalse(java.lang.String param)

### isValidJavaVariable

    public static boolean isValidJavaVariable(java.lang.String name)

### buildReleaseModeKey

    public static java.lang.String buildReleaseModeKey(SessionCookie cookie)

### getAttributeFromContext

    public static java.lang.Object getAttributeFromContext(javax.servlet.jsp.PageContext pageCtx,
                                                           java.lang.String id)

  Return attribute value by only looking at PAGE and REQUEST scope

### getDataSourceFromContext

    public static DataSource getDataSourceFromContext(javax.servlet.jsp.PageContext pageCtx,
                                                      java.lang.String dsName)

### createDataSource

    public static DataSource createDataSource(javax.servlet.jsp.PageContext pageCtx,
                                              java.lang.String amId,
                                              java.lang.String voName,
                                              java.lang.String rsName,
                                              java.lang.String id,
                                              boolean createRowset)

### getAMRefFromContext

    public static ApplicationModuleRef getAMRefFromContext(javax.servlet.jsp.PageContext pageCtx,
                                                           java.lang.String amId)

### findAncestorWithClassForDataSource

    public static javax.servlet.jsp.tagext.Tag findAncestorWithClassForDataSource(javax.servlet.jsp.tagext.Tag from,
                                                                                  java.lang.String dataSourceName,
                                                                                  java.lang.Class klass)

### getRowFromAncestor

    public static Row getRowFromAncestor(javax.servlet.jsp.tagext.Tag from,
                                         java.lang.String dataSourceName)

### getDataSourceFromAncestor

    public static DataSource getDataSourceFromAncestor(javax.servlet.jsp.tagext.Tag from)

### releaseApplicationModule

    public static void releaseApplicationModule(javax.servlet.ServletContext servletContext,
                                                javax.servlet.http.HttpServletResponse response,
                                                SessionCookie cookie,
                                                java.lang.String releaseMode)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.